#!/usr/bin/env python3
# -*- coding: utf-8 -*-


from __future__ import print_function


def _read_os_release():
    with open('/etc/os-release') as f:
        return {
            key: value.strip('"')
            for key, value in (
                line.strip().split('=', 1)
                for line in f.readlines()
            )
        }


os_release = _read_os_release()


def linux_distribution(distname='', version='', id='', supported_dists=(), full_distribution_name=True):
    return (
        os_release['NAME'] if 'NAME' in os_release else distname,
        os_release['VERSION_ID'] if 'VERSION_ID' in os_release else version,
        os_release['VERSION_CODENAME'] if 'VERSION_CODENAME' in os_release else id
    )


if __name__ == '__main__':
    print(os_release)
