#!/bin/bash

set -e
set -u
set -o pipefail

# Check number of arguments.
if [ -z "$1" ]; then
    echo "Usage: $0 <new server>" 1>&2
    exit 1
fi

# Check if run as root or with sudo.
if [ "${EUID}" -ne 0 ]; then
    echo "This script must be run as root or with sudo! Exiting!" 1>&2
    exit 1
fi

SERVER="$1"

echo "Changing KAMP-SIMON server to ${SERVER}"

# Set server in debconf.
echo "kamp-simon-shell-client kamp-simon-shell-client/server string ${SERVER}" | sudo debconf-set-selections
# Reconfigure package.
sudo dpkg-reconfigure -f noninteractive kamp-simon-shell-client

# Change server in config.
sudo sed --in-place "s@SERVER=\(.*\)@SERVER=${SERVER}@g" /etc/kamp-simon/shell-client/shell-client.conf
